#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <math.h>

int main () {
  int a = 1;
  int b = 3;
  int c = 5;
  while (1){
    
    scanf("%d %d %d", &a, &b, &c);
    double res1;
    double res2;
  
    res1 = (((-b) + sqrt(b*b - 4*a*c)) / 2*a);
    res2 = (((-b) - sqrt(b*b - 4*a*c)) / 2*a);    

    if (res1 != res1 || res2 != res2 )
      printf("kan inte beräkna värde\n");
    else
      {
      printf("%f\n%f\n", res1, res2);
      break;
      }
  }  
  return 0;
  
}
